<mat-toolbar color="primary">
  <mat-toolbar-row fxLayout="row">
    <span class="title-center">{{ dialogAction.action }}Nhập hàng</span>
  </mat-toolbar-row>
</mat-toolbar>
<mat-dialog-content class="mat-typography">
  <form [formGroup]="productForm">
    <div fxFlex fxLayout="column">
      <div fxLayout="row wrap">
        <mat-form-field>
          <div>
            <mat-toolbar>
              <button mat-flat-button class="ml-3" color="primary">
                Chọn ảnh
              </button>
              <input
                matInput
                [value]="selectedFileNames.length ? selectedFileNames : '.....'"
                formControlName="image"
              />
            </mat-toolbar>

            <input
              type="file"
              id="fileInput"
              name="fileInput"
              accept="image/*"
              multiple
              width="150px"
              (change)="selectFiles($event)"
              formControlName="image"
            />
          </div>
        </mat-form-field>
        <div>
          <img
            *ngFor="let preview of previews"
            [src]="preview"
            class="preview"
          />
        </div>

        <div *ngIf="message.length" class="message">
          <ul *ngFor="let msg of message; let i = index">
            <li>{{ msg }}</li>
          </ul>
        </div>
      </div>

      <div fxLayout="row wrap">
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Danh mục</mat-label>
          <mat-select formControlName="categoryId">
            <mat-option
              *ngFor="let category of categorys"
              [value]="category.id"
              >{{ category.name }}</mat-option
            >
          </mat-select>
        </mat-form-field>
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Tên</mat-label>
          <input formControlName="name" matInput required />
          <mat-error
            *ngIf="
              productForm.controls.name.touched &&
              productForm.controls.name.invalid
            "
          >
            <span *ngIf="productForm.controls.name.errors.required"
              >Bắt buộc</span
            >
          </mat-error>
        </mat-form-field>
      </div>

      <div fxLayout="row wrap">
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Giá nhập</mat-label>
          <input formControlName="initialPrice" matInput required />
          <mat-error
            *ngIf="
              productForm.controls.initialPrice.touched &&
              productForm.controls.initialPrice.invalid
            "
          >
            <span *ngIf="productForm.controls.initialPrice.errors.required"
              >Bắt buộc</span
            >
            <span *ngIf="productForm.controls.initialPrice.errors.pattern"
              >Không hợp lệ</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Giá bán</mat-label>
          <input formControlName="price" matInput required />
          <mat-error
            *ngIf="
              productForm.controls.price.touched &&
              productForm.controls.price.invalid
            "
          >
            <span *ngIf="productForm.controls.price.errors.required"
              >Bắt buộc</span
            >
            <span *ngIf="productForm.controls.price.errors.pattern"
              >Không hợp lệ</span
            >
          </mat-error>
        </mat-form-field>
      </div>

      <div fxLayout="row wrap">
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Số lượng nhập</mat-label>
          <input formControlName="importQuantity" matInput required />
          <mat-error
            *ngIf="
              productForm.controls.importQuantity.touched &&
              productForm.controls.importQuantity.invalid
            "
          >
            <span *ngIf="productForm.controls.importQuantity.errors.required"
              >Bắt buộc</span
            >
            <span *ngIf="productForm.controls.importQuantity.errors.pattern"
              >Không hợp lệ</span
            >
          </mat-error>
        </mat-form-field>
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Giới tính</mat-label>
          <mat-select formControlName="gender">
            <mat-option value="0">Nam</mat-option>
            <mat-option value="1">Nữ</mat-option>
            <mat-option value="2">Cả hai</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div fxLayout="row wrap">
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Kích cỡ</mat-label>
          <mat-select formControlName="size" multiple>
            <mat-option value="s">S</mat-option>
            <mat-option value="m">M</mat-option>
            <mat-option value="l">L</mat-option>
            <mat-option value="xl">XL</mat-option>
            <mat-option value="xxl">XXL</mat-option>
          </mat-select>
        </mat-form-field>

        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Màu sắc</mat-label>
          <mat-select formControlName="color" multiple>
            <mat-option value="be">Be</mat-option>
            <mat-option value="cam">Cam</mat-option>
            <mat-option value="đen">Đen</mat-option>
            <mat-option value="xanh dương">Xanh dương</mat-option>
            <mat-option value="xanh lá">Xanh lá</mat-option>
            <mat-option value="xanh ngọc">Xanh ngọc</mat-option>
            <mat-option value="xanh navy">Xanh navy</mat-option>
            <mat-option value="xám">Xám</mat-option>
            <mat-option value="đỏ">Đỏ</mat-option>
            <mat-option value="đỏ đậm">Đỏ đậm</mat-option>
            <mat-option value="hồng">Hồng</mat-option>
            <mat-option value="nâu">Nâu</mat-option>
            <mat-option value="trắng">Trắng</mat-option>
            <mat-option value="tím">Tím</mat-option>
            <mat-option value="vàng">Vàng</mat-option>
          </mat-select>
        </mat-form-field>
      </div>

      <div fxLayout="row wrap">
        <mat-form-field appearance="fill" fxFlex>
          <mat-label>Mô tả</mat-label>
          <input formControlName="description" matInput required />
        </mat-form-field>
      </div>
    </div>
  </form>
</mat-dialog-content>

<mat-dialog-actions align="center">
  <button
    mat-raised-button
    color="primary"
    type="submit"
    (click)="handleSubmit()"
    [disabled]="!(productForm.valid && productForm.dirty)"
  >
    {{ action }}
  </button>
  <button mat-raised-button color="secondary" mat-dialog-close>Hủy</button>
</mat-dialog-actions>
